Attribute VB_Name = "GrpApi"
Option Explicit

'  ShadowFlare GRP Library. (c) ShadowFlare Software 2002

'  Any comments or suggestions are accepted at blakflare@hotmail.com (ShadowFlare)

Type GRPHEADER
    nFrames As Integer
    wMaxWidth As Integer
    wMaxHeight As Integer
End Type

Public Const HORIZONTAL_FLIP As Long = &H1& ' Flips the graphic horizontally
Public Const VERTICAL_FLIP   As Long = &H2& ' Flips the graphic vertically
Public Const SHADOW_COLOR    As Long = &H4& ' Causes the graphic to be drawn in one color
                                            ' Second byte of flags is the red component of
                                            ' the shadow's color, third byte is green,
                                            ' fourth byte is blue; like this:
                                            ' 'SHADOW_COLOR Or &HBBGGRR00'
Public Const ALPHA_BLEND     As Long = &H8& ' Blends the graphic with what it is being drawn over.
                                            ' The dwAlpha parameter will only be used when this
                                            ' flag is specified.  dwAlpha is an RGB value
                                            ' (&HBBGGRR).
                                            ' Note: Because of the extra calculations required,
                                            ' alpha blended graphics take longer to draw

' Palette is an array of 256 Longs.  Pass the first element of the array to these functions,
' rather than the actual array
' For LoadPalette and LoadGrp, lpFileName may be a file in an open mpq archive
' or a file not in an archive
Declare Function LoadPalette Lib "Grpapi.dll" (ByVal lpFileName As String, dwPalette As Long) As Boolean
Declare Function LoadGrp Lib "Grpapi.dll" (ByVal lpFileName As String) As Long
Declare Function DestroyGrp Lib "Grpapi.dll" (ByVal hGrp As Long) As Boolean
Declare Function DrawGrp Lib "Grpapi.dll" (ByVal hGrp As Long, ByVal hdcDest As Long, ByVal nXDest As Long, ByVal nYDest As Long, ByVal nFrame As Integer, dwPalette As Long, ByVal dwFlags As Long, ByVal dwAlpha As Long) As Boolean
Declare Function GetGrpInfo Lib "Grpapi.dll" (ByVal hGrp As Long, GrpInfo As GRPHEADER) As Boolean

Declare Function GetDC Lib "User32.dll" (ByVal hWnd As Long) As Long
Declare Function ReleaseDC Lib "User32.dll" (ByVal hWnd As Long, ByVal hDC As Long) As Long

' These no longer need to be called
Declare Function LoadGrpApi Lib "Grpapi.dll" () As Boolean
Declare Sub FreeGrpApi Lib "Grpapi.dll" ()

